import { jsx } from "react/jsx-runtime";
import { TokenSOLID as TokenSOLID$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSOLID = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SOLID", "data-name": "TokenSOLID", ...props, children: /* @__PURE__ */ jsx(TokenSOLID$1, { variant }) });
  }
);
TokenSOLID.displayName = "TokenSOLID";
Object.assign(TokenSOLID, { isGdsIcon: true });
export {
  TokenSOLID
};
